- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Lists StandardOffers for the given parent.
HTTP request
GET https://commerceproducer.googleapis.com/v1beta/{parent=projects/*/locations/*/services/*}/standardOffers
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Parent value for ListStandardOffersRequest |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Maximum results to return. The service may return fewer than this value. The maximum value is 500; values above 500 will be coerced to 500. If unspecified, the server will default to the maximum. |
pageToken |
Optional. A page token, received from a previous list response message. Provide this to retrieve the subsequent page. When paginating, all other parameters of the list request must match the request that returned the page token. |
filter |
Optional. Filter expression that matches a subset of resources to show. See https://google.aip.dev/160 for more details. Supports filtering by:
|
orderBy |
Optional. Ordering expression for sorting the results. See https://google.aip.dev/132#ordering for more details. If no value is present the default ordering is unspecified. Supports ordering by:
|
Request body
The request body must be empty.
Response body
Message for response to listing StandardOffers
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"standardOffers": [
{
object ( |
| Fields | |
|---|---|
standardOffers[] |
The list of StandardOffer |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
commerceproducer.standardOffers.list
For more information, see the IAM documentation.